@import "../../scss/colors";

.cheap-flights-section {
  display: flex;
  flex-direction: column;
  background: $primaryBlue;
  padding: 50px 15px;

  .cheapest-flights-header {
    margin-bottom: 15px;
    font-size: 16px;
    color: $primaryWhite;
    text-align: center;
    font-weight: bold;
  }
  .selected-airoport {
    .selected-airoport-label {
      color: $primaryWhite;
      font-size: 13px;
      font-weight: bold;
    }
  }
  .autocomlete-label {
    color: $primaryWhite;
    font-size: 13px;
  }

  .airport-select-section {
    display: flex;
    flex-wrap: wrap;
    padding: 15px 0;
    .dep-autocomplete,
    .dest-autocomplete {
      position: relative;
      width: 50%;


      .autocomlete-label {
        position: absolute;
        top: 10px;
        font-size: 13px;
        font-weight: bold;
        color: $primaryWhite;
      }
      .input-selector {
        width: 100%;
        border: none;
        border-top-left-radius: 3px;
        border-bottom-left-radius: 3px;
        color: $primaryTextColor;
        font-weight: bold;
        padding: 0 15px;
        font-size: 13px;
      }
      .select-wrapp {
        display: flex;
        margin: 0 auto;
        width: 50%;
        height: 40px;
      }

      .autocomplete-list {
        display: block;
        width: 50%;
        position: absolute;
        right: 0;
        left: 0;
        margin: 5px auto 0;
        max-height: 150px;
        background: $primaryWhite;

        li {
          text-align: center;
          padding: 5px 0;
          font-weight: bold;
          color: $primaryTextColor;

          &.selected {
            background: darken($primaryWhite, 15%);
          }
        }
      }
    }
    .selected-airoport,
    .control-wrapp {
      width: 100%;
    }
    .selected-airoport {
      margin: 10px 0;
      color: $primaryTextColor;
    }

    .control-wrapp {
      .search-btn {
        background: $primaryOrangeColor;
        color: $primaryTextColor;
        border: none;
        margin: 20px auto;
        display: block;
        padding: 20px 40px;
        border-radius: 3px;
        font-size: 13px;
        font-weight: bold;
        cursor: pointer;
        &:hover {
          background: lighten($primaryOrangeColor, 5%);
        }
      }
    }
  }

  .flight-list-section {
    .flights-table-caption {
      font-size: 14px;
      color: $primaryWhite;
    }

    table {
      background: $secondaryBlue;
      tr {
        border-bottom: 1px solid $primaryTextColor;
        &:last-child {
          border-bottom: none;
        }
      }
      th,td {
        padding: 10px 0;
        text-align: center;
      }
    }
    th {
      color: $primaryTextColor;
    }
    td {
      color: $primaryBlue;
      &:first-child {
        color: $primaryTextColor;
        font-weight: bold;
      }
    }
  }
}